﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section Script {
    function BeginGridCallback(s, e) {
        e.customArgs["SupplierCode"] = SupplierCode.GetValue();
        e.customArgs["ProductionYear"] = ProductionYear.GetValue();
        e.customArgs["AnnualPlanVersion"] = AnnualPlanVersion.GetValue();        
    }
}

<!--SupplierAnnualPlan -->

@model Toyota.Common.Web.MVC.ModelHolder

<link href="@Url.Content("~/Content/Style/SupplierAnnualPlanSummary.css")" rel="Stylesheet" type="text/css" />

<table style="margin-left:-5px;margin-right:-8px; margin-top:-8px;" width="100%">
    <tr>
        <td width="75%">
            @Html.DevExpress().RoundPanel(
                settings =>
                {
                    settings.Name = "Header";
                    settings.HeaderText = "Search";
                    settings.ShowHeader = true;
                    settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                    settings.Width = Unit.Percentage(100);
                    settings.SetContent(() =>
                    {
                        Html.RenderAction("PartialHeader", "SupplierAnnualPlan");
                    });
                }).GetHtml()      
               <div style="height:8px;"></div>  
             @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnDownload";
                    settings.Text = "Download";
                    settings.Width = 80;
                    settings.UseSubmitBehavior = true;
                }
            ).GetHtml()
            <div style="height:8px;"></div>  

             @Html.Partial("GridIndex", Model)
      
        </td>
        <td valign="top" width="25%">
             @Html.DevExpress().RoundPanel(
                settings =>
                {
                    settings.Name = "Upload";
                    settings.HeaderText = "Upload Reply";
                    settings.ShowHeader = true;
                    settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                    settings.Width = Unit.Pixel(331);
                    settings.SetContent(() =>
                    {
                        Html.RenderAction("PartialUpload", "SupplierAnnualPlan");
                    });
                }).GetHtml()        
        </td>
    </tr>
</table>